### Method

# GtkSource GutterRenderer get_buffer

#### Declaration [src]

    GtkSourceBuffer*
    gtk_source_gutter_renderer_get_buffer (
      GtkSourceGutterRenderer* renderer
    )

#### Description [src]

Gets the `GtkSourceBuffer` for which the gutter renderer is drawing.

#### Return value

Type: `GtkSourceBuffer`

A `GtkTextBuffer` or `NULL`.

The returned data is owned by the instance.
The return value can be `NULL`.